%define oname numpy
Name: python-module-%oname
Version: 1.0.2
Release: alt1.1

Summary: NumPy: array processing for numbers, strings, records, and objects.

License: BSD
Group: Development/Other
Url: http://numeric.scipy.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

%setup_python_module %oname

%add_python_req_skip Series f2py_ext f2py_f90_ext gen_ext genapi numpy_distutils numpyx pyrex_ext setuptools swig_ext

Source: http://dl.sf.net/%oname/%oname-%version.tar.bz2

# Automatically added by buildreq on Fri Mar 24 2006
BuildRequires: python-dev python-modules python-modules-compiler python-modules-encodings

%description
NumPy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays.  NumPy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

There are also basic facilities for discrete fourier transform,
basic linear algebra and random number generation.

%prep
%setup -q -n %oname-%version

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root %buildroot

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc COMPATIBILITY LICENSE.txt README.txt THANKS.txt
%_bindir/f2py2.5
%python_sitelibdir/*

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 1.0.2-alt1.1
- Rebuilt with python-2.5.

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt1
- new version 1.0.2 (with rpmrb script)

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0-alt0.1
- initial build for ALT Linux Sisyphus

